fn main() {
    cc::Build::new()
        .files(&[
            "blackmagic/src/crc32.c",
            "blackmagic/src/target/adiv5_jtag.c",
            "blackmagic/src/target/adiv5_swd.c",
            "blackmagic/src/target/adiv5.c",
            "blackmagic/src/target/ch32f1.c",
            "blackmagic/src/target/cortex.c",
            "blackmagic/src/target/cortexa.c",
            "blackmagic/src/target/cortexm.c",
            "blackmagic/src/target/efm32.c",
            "blackmagic/src/target/gdb_reg.c",
            "blackmagic/src/target/hc32l110.c",
            "blackmagic/src/target/imxrt.c",
            "blackmagic/src/target/jtag_devs.c",
            "blackmagic/src/target/jtag_scan.c",
            "blackmagic/src/target/kinetis.c",
            "blackmagic/src/target/lmi.c",
            "blackmagic/src/target/lpc11xx.c",
            "blackmagic/src/target/lpc15xx.c",
            "blackmagic/src/target/lpc17xx.c",
            "blackmagic/src/target/lpc40xx.c",
            "blackmagic/src/target/lpc43xx.c",
            "blackmagic/src/target/lpc546xx.c",
            "blackmagic/src/target/lpc55xx.c",
            "blackmagic/src/target/lpc_common.c",
            "blackmagic/src/target/msp432e4.c",
            "blackmagic/src/target/msp432p4.c",
            "blackmagic/src/target/nrf51.c",
            "blackmagic/src/target/nrf91.c",
            "blackmagic/src/target/nxpke04.c",
            "blackmagic/src/target/renesas.c",
            "blackmagic/src/target/rp.c",
            "blackmagic/src/target/sam3x.c",
            "blackmagic/src/target/sam4l.c",
            "blackmagic/src/target/samd.c",
            "blackmagic/src/target/samx5x.c",
            "blackmagic/src/target/sfdp.c",
            "blackmagic/src/target/spi.c",
            "blackmagic/src/target/stm32f1.c",
            "blackmagic/src/target/stm32f4.c",
            "blackmagic/src/target/stm32g0.c",
            "blackmagic/src/target/stm32h5.c",
            "blackmagic/src/target/stm32h7.c",
            "blackmagic/src/target/stm32l0.c",
            "blackmagic/src/target/stm32l4.c",
            "blackmagic/src/target/stm32mp15.c",
            "blackmagic/src/target/target.c",
            "blackmagic/src/target/target_flash.c",
            "blackmagic/src/target/target_probe.c",
        ])
        .includes(&["include/", "blackmagic/src/include/"])
        .define("PC_HOSTED", Some("0"))
        .compile("blackmagic");
}
